XFCE4-DICT(1)

NAME
xfce4-dict — a client program to query different dictionaries

SYNOPSIS

xfce4-dict [option] [text ...]

DESCRIPTION

xfce4-dict allows you to search different kinds of dictionary services for words or phrases and shows you the result. Currently you can query a "Dict" server(RFC 2229), any online dictionary service by opening a web browser or search for words using a spell check program like aspell, ispell or enchant.

Homepage: http://goodies.xfce.org/projects/applications/xfce4-dict

OPTIONS
If called without any arguments, the xfce4-dict main window is shown. Any passed text argument(s) are used as search text.

-d, --dict
    Search the given text using a Dict server(RFC 2229).

-w, --web
    Search the given text using a web-based search engine.

-t, --text-field
    Grab the focus on the text field in the panel (has no effect if panel plugin is not loaded).

-s, --spell
    Check the given text with a spellchecker.

-i, --ignore-plugin
    Start stand-alone application even if the panel plugin is loaded.

-c, --clipboard
    Grabs the PRIMARY selection content (X selection clipboard), uses it as search text and performs a search. This is useful when you want to create keyboard shortcuts for this command. The search method can be specified with the -d, -w and -s options, if not specified the default search method is used. If the PRIMARY clipboard doesn't contain any text, the normal clipboard is used.

-v, --verbose
    Be verbose (print useful status messages).

-V, --version
    Show version information.

-?, --help
    Show help information and exit.

xfce4-dict supports all generic GTK options, a list is available on the help screen.

BUGS

There is a limitation of max. 12 characters in passing a search term to xfce4-dict when the panel plugin is loaded. That is, if you pass a search term as command line argument(s) to xfce4-dict which is longer than 12 characters, it is truncated. To be exact, the limit is 12 bytes so if the search term contains any non-ASCII characters it might be even less than 12 characters. To work around this limitation, you can add the command line '-i' so that xfce4-dict will start a single stand-alone application. Then all passed text is used as search term.

AUTHOR

This manual page was written by Enrico Troeger. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2, or (at your option) any later version.